import { LitElement } from 'lit';
/**
 * @element uui-symbol-file-thumbnail
 * @description - Symbol to display a thumbnail.
 */
export declare class UUISymbolFileThumbnailElement extends LitElement {
    /**
     * Source of the thumbnail.
     * @type {string}
     * @attr
     * @default ''
     */
    src: string;
    /**
     * Alt of the thumbnail.
     * @type {string}
     * @attr
     * @default ''
     */
    alt: string;
    connectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'uui-symbol-file-thumbnail': UUISymbolFileThumbnailElement;
    }
}
